Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#61961 - [xorg-mkfontscale][xorg-font-utils][xorg-fonts-encodings] Fonts should not depend on Xorg packages

Attached to Project: Arch Linux
Opened by Alex (aion) - Saturday, 09 March 2019, 10:54 GMT
Last edited by Andreas Radke (AndyRTR) - Friday, 20 December 2019, 16:59 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To Jan de Groot (JGC)
Andreas Radke (AndyRTR)
Jan Alexander Steffens (heftig)
Laurent Carlier (lordheavy)
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description:

Now with existing of pacman hooks and alternative widow systems xorg-mkfontscale, xorg-font-utils, xorg-fonts-encodings should be dependencies of corresponding xserver implemetations which actually use them or their output.
This task depends upon

Closed by  Andreas Radke (AndyRTR)
Friday, 20 December 2019, 16:59 GMT
Reason for closing:  Not a bug
Comment by Andreas Radke (AndyRTR) - Wednesday, 11 December 2019, 12:01 GMT
xorg-bdftopcf
depends=('glibc')

xorg-mkfontscale
depends=('freetype2' 'libfontenc') - looks ok to me
provides=('xorg-mkfontdir')

xorg-fonts-encodings
no dependencies - just the encoding files

xorg-font-util
no dependencies - just the map-ISO standard files

Meta-package
xorg-font-utils
depends=('xorg-bdftopcf' 'xorg-mkfontdir' 'xorg-mkfontscale' 'xorg-font-util')


The only thing to discuss here is whether we want to drop the "xorg-font-utils" meta-pkg. It's used by quiet a lot of packages
https://www.archlinux.org/packages/extra/any/xorg-font-utils/ - and probably lots of AUR packages.

I doubt it worth the work. Most dependencies would end up on your system in any way.
Comment by Alex (aion) - Friday, 20 December 2019, 15:20 GMT
Sorry for confusion what I really meant that font packages like ttf-dejavu, ttf-opensans, otf-ipaexfont etc., should not depend on these xorg packages.

Fell free to close this ticket as incorrect. I'll open tickets for fonts which I actually use.
This is not critical issue by any means.

Loading...